﻿<AML>
 <Item type="Method" id="73543BE24A384D33A8956AB56F2A63A8" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_journal_details_acc_change
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	-Get Currency,Account Console,Account Detail Code according by choosing Account.
	
Hooks:
	Type:	ItemType	:	acc_journal_details
	Event:	acc_accountid ( OnEditFinish )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
// debugger;
var myInnovator = new Innovator();
var relationshipItem = parent.thisItem.getItemsByXPath("//Item[@id='" + relationshipID + "']");
var acc_accountid = relationshipItem.getProperty("acc_accountid");

var account_details = myInnovator.newItem("acc_AccountDetails", "get");
account_details.setProperty("id", acc_accountid);
var account_details_result = account_details.apply();

var account_details_count = account_details_result.getItemCount();
if (account_details_count > 0) {
    var acc_accountconsole = account_details_result.getProperty("acc_accountconsole", "");
    var acc_accountdetail_code = account_details_result.getProperty("acc_accountdetail_code", "");
    var acc_currency = account_details_result.getProperty("acc_currency", "");

    var currency_item = myInnovator.newItem("acc_currency", "get");
    currency_item.setProperty("id", acc_currency);
    currency_item.setPropertyCondition("id", "eq");
    currency_item = currency_item.apply();
    if (!currency_item.isError()) {
        relationshipItem.setPropertyItem("acc_currency", currency_item);
    }

    relationshipItem.setProperty("acc_systemaccountid", acc_accountconsole);
    relationshipItem.setProperty("acc_accountdetail_code", acc_accountdetail_code);

    var tabbar = parent.relationships.relTabbar;
    var tabID = tabbar.GetTabId("Journal Details");
    parent.relationships.iframesCollection[tabID].contentWindow.doSearch(1);
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_journal_details_acc_change</name>
 </Item>
</AML>